<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page session="true" %>

<% request.setCharacterEncoding("utf-8");%>
<%	String id = request.getParameter("id");
	String pwd = request.getParameter("pwd");
	String str="";
	
	try{
		Class.forName("oracle.jdbc.driver.OracleDriver");
		Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20182234","990802");
		PreparedStatement pstmt=conn.prepareStatement("select * from MEMBER");
	    ResultSet rs= pstmt.executeQuery();
	    
	    while(rs.next()){
	    	if (id.equals(rs.getString("id")) && pwd.equals(rs.getString( "password"))) {
	          	session.setAttribute("id",id);
	    		session.setAttribute("pwd",pwd);
	    		response.sendRedirect("main.jsp");
	    	} else {
	    		//response.sendRedirect("loginForm.jsp");
	    		str="";
	    	}}}catch(Exception e){
	    		e.printStackTrace();
	    	}
%>
<html>
<head>
<title></title>
<style>
body{
		background-color:black;
	}
	</style>
</head>
<body>
  <%=str %>  <p>
     <script>
alert("Login Failed ! ");
location.href="loginForm.jsp";
</script>
</body>
</html>